builder_helper.hpp File Reference
`#include <cstddef>`
`#include <initializer_list>`
`#include <functional>`
`#include <map>`
`#include <utility>`
`#include <osmium/builder/osm_object_builder.hpp>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for builder_helper.hpp:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::builder
| Classes for building OSM objects and other items in buffers.

## Functions

OSMIUM_DEPRECATED const osmium::WayNodeList & | osmium::builder::build_way_node_list (osmium::memory::Buffer &buffer, const std::initializer_list< osmium::NodeRef > &nodes)
const osmium::TagList & | osmium::builder::build_tag_list (osmium::memory::Buffer &buffer, const std::initializer_list< std::pair< const char *, const char * >> &tags)
const osmium::TagList & | osmium::builder::build_tag_list_from_map (osmium::memory::Buffer &buffer, const std::map< const char *, const char * > &tags)
const osmium::TagList & | osmium::builder::build_tag_list_from_func (osmium::memory::Buffer &buffer, std::function< void(osmium::builder::TagListBuilder &)> func)